Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(9)

Issue 1899973002: [Extensions] More bindings improvements (Closed)

Created:
3 years, 1 month ago by Devlin
Modified:
3 years ago
CC:
chromium-reviews, chromium-apps-reviews_chromium.org, extensions-reviews_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

[Extensions] More bindings improvements Explicitly freeze the schema in chrome, pass safe arguments to GetAvailability, and broaden test access checks. BUG=603725 BUG=591164 Committed: https://crrev.com/585b125ef7168c104631e23ee5cad0108c838f52 Cr-Commit-Position: refs/heads/master@{#388353}

Patch Set 1 #

Patch Set 2 : #

Total comments: 5
Unified diffs Side-by-side diffs Delta from patch set Stats (+10 lines, -4 lines) Patch
M extensions/renderer/module_system_test.cc View 1 2 chunks +2 lines, -0 lines 0 comments Download
M extensions/renderer/resources/binding.js View 3 chunks +6 lines, -3 lines 5 comments Download
M extensions/renderer/script_context.cc View 1 chunk +1 line, -1 line 0 comments Download
M extensions/renderer/v8_schema_registry.cc View 1 chunk +1 line, -0 lines 0 comments Download

Messages

Total messages: 13 (4 generated)
Devlin
Antony, mind taking a look?
3 years, 1 month ago (2016-04-19 00:28:41 UTC) #2
asargent_no_longer_on_chrome
lgtm https://codereview.chromium.org/1899973002/diff/20001/extensions/renderer/resources/binding.js File extensions/renderer/resources/binding.js (left): https://codereview.chromium.org/1899973002/diff/20001/extensions/renderer/resources/binding.js#oldcode371 extensions/renderer/resources/binding.js:371: if (!GetAvailability(apiFunction.name).is_available || ugh, javascript I fear we ...
3 years, 1 month ago (2016-04-19 23:06:48 UTC) #3
Devlin
https://codereview.chromium.org/1899973002/diff/20001/extensions/renderer/resources/binding.js File extensions/renderer/resources/binding.js (left): https://codereview.chromium.org/1899973002/diff/20001/extensions/renderer/resources/binding.js#oldcode371 extensions/renderer/resources/binding.js:371: if (!GetAvailability(apiFunction.name).is_available || On 2016/04/19 23:06:48, Antony Sargent wrote: ...
3 years, 1 month ago (2016-04-19 23:18:22 UTC) #4
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1899973002/20001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1899973002/20001
3 years, 1 month ago (2016-04-19 23:19:18 UTC) #6
commit-bot: I haz the power
Committed patchset #2 (id:20001)
3 years, 1 month ago (2016-04-19 23:29:34 UTC) #7
robwu
https://codereview.chromium.org/1899973002/diff/20001/extensions/renderer/resources/binding.js File extensions/renderer/resources/binding.js (right): https://codereview.chromium.org/1899973002/diff/20001/extensions/renderer/resources/binding.js#newcode372 extensions/renderer/resources/binding.js:372: apiFunction.name = apiFunctionName; If you're concerned about being affected ...
3 years, 1 month ago (2016-04-20 10:49:18 UTC) #9
Devlin
https://codereview.chromium.org/1899973002/diff/20001/extensions/renderer/resources/binding.js File extensions/renderer/resources/binding.js (right): https://codereview.chromium.org/1899973002/diff/20001/extensions/renderer/resources/binding.js#newcode372 extensions/renderer/resources/binding.js:372: apiFunction.name = apiFunctionName; On 2016/04/20 10:49:17, robwu wrote: > ...
3 years, 1 month ago (2016-04-20 13:44:38 UTC) #10
robwu
https://codereview.chromium.org/1899973002/diff/20001/extensions/renderer/resources/binding.js File extensions/renderer/resources/binding.js (right): https://codereview.chromium.org/1899973002/diff/20001/extensions/renderer/resources/binding.js#newcode372 extensions/renderer/resources/binding.js:372: apiFunction.name = apiFunctionName; On 2016/04/20 13:44:38, Devlin wrote: > ...
3 years, 1 month ago (2016-04-20 15:06:35 UTC) #11
commit-bot: I haz the power
3 years ago (2016-04-22 19:17:57 UTC) #13
Message was sent while issue was closed.
Patchset 2 (id:??) landed as
https://crrev.com/585b125ef7168c104631e23ee5cad0108c838f52
Cr-Commit-Position: refs/heads/master@{#388353}

Powered by Google App Engine
This is Rietveld 408576698